Update a job_files by supplying directly the field job_files.file_content as Byte Array

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

job_files
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier

Required

jobs_id

Job Id

globally unique identifier

Required

job_approval_id

Job approval Id

globally unique identifier

Required

file_name

Name of the file

string

Required

Max length: 100

name

string

Max length: 100

description

Description of the file

string
tags

Tags of the file

string
mime_type

Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg

string

Max length: 100

file_type

Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF

string

Max length: 200

image_height

In case of picture, the original heigth

integer
image_width

In case of picture, the original width

integer
file_size

Size in bytes of the file_content

integer
sales_organization_id

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating db_file

string
sales_organization

Embedded entity "sales_organization" using node when adding/updating db_file

sales_organization
file_content

The file content, in Byte Array. Use this field when using POST/PUT

Collection of byte
dateutc_added

Date UTC when file has been added

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
user_id

globally unique identifier
show_on_web

boolean
db_report_id

The id of db_report

globally unique identifier

Request Formats :

application/json, text/json

Sample:
{
  "id": "9d2323ac-3fb7-43dc-b8b3-d805b4b17749",
  "jobs_id": "bfa3be15-2301-4d31-8f9f-66da2b26b100",
  "job_approval_id": "dccbc84c-b115-431e-90bd-fd2a00b46640",
  "file_name": "sample string 4",
  "name": "sample string 5",
  "description": "sample string 6",
  "tags": "sample string 7",
  "mime_type": "sample string 8",
  "file_type": "sample string 9",
  "image_height": 10,
  "image_width": 11,
  "file_size": 12,
  "sales_organization_id": "631b9dda-3195-4d1e-aae9-e34868d96154",
  "sales_organization_code": "sample string 14",
  "file_content": "QEA=",
  "dateutc_added": "2026-05-04T17:00:17.0676861+00:00",
  "modified_dateutc": "2026-05-04T17:00:17.0676861+00:00",
  "user_id": "3947763b-ee29-41a6-9cf7-8c0b52e9f725",
  "show_on_web": true,
  "db_report_id": "4162bc64-a514-456c-863a-8d532d88ac49"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.